=head1 NAME

Gtk2::Pango::Matrix

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Pango::Matrix


=head1 METHODS

=head2 matrix = Gtk2::Pango::Matrix-E<gt>B<new> ($xx=1., $xy=0., $yx=0., $yy=1., $x0=0., $y0=0.)

=over

=over

=item * $xx (double) 

=item * $xy (double) 

=item * $yx (double) 

=item * $yy (double) 

=item * $x0 (double) 

=item * $y0 (double) 

=back

=back

=head2 $matrix-E<gt>B<concat> ($new_matrix)

=over

=over

=item * $new_matrix (Gtk2::Pango::Matrix) 

=back

=back

=head2 $matrix-E<gt>B<rotate> ($degrees)

=over

=over

=item * $degrees (double) 

=back

=back

=head2 $matrix-E<gt>B<scale> ($scale_x, $scale_y)

=over

=over

=item * $scale_x (double) 

=item * $scale_y (double) 

=back

=back

=head2 $matrix-E<gt>B<translate> ($tx, $ty)

=over

=over

=item * $tx (double) 

=item * $ty (double) 

=back

=back

=head2 double = $matrix-E<gt>B<x0> ($new)

=over

=over

=item * $new (double) 

=back

=back

=head2 double = $matrix-E<gt>B<xx> ($new=0)

=over

=over

=item * $new (double) 

=back

=back

=head2 double = $matrix-E<gt>B<xy> ($new)

=over

=over

=item * $new (double) 

=back

=back

=head2 double = $matrix-E<gt>B<y0> ($new)

=over

=over

=item * $new (double) 

=back

=back

=head2 double = $matrix-E<gt>B<yx> ($new)

=over

=over

=item * $new (double) 

=back

=back

=head2 double = $matrix-E<gt>B<yy> ($new)

=over

=over

=item * $new (double) 

=back

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

